

;*********** [ Blei-Akku-Lader fr 12 und 24 Volt ] ********************
;
;   File name   :  SLA.INC
;   AUTHOR      :  Hanno Grff
;   VERSION     :  1.1
;   DATE        :  Juli 2007
;
;   Compiler    :  Atmel AVR Assembler
;
;
;**********************************************************************
;
;   Vorabgleich von AREF mit Netzgert und 14,4 Volt an den
;	Batterieklemmen ergibt ca. AREF von 3,66 V. Besser ist es, 
;	whrend des Ladens unter Last Voltmeter an Batterie klemmen
;	und LCD-Anzeige abgleichen, ergibt AREF von ca. 3,60 V
;
;
;	AREF		=   3660 mV (messen und einstellen)
;               =   3600 mV (unter Last abgleichen)
;

;   Spannung am ADC-Diff-Eingang
;	VADC		=   20 * (R7 / (R7+R8)) * Ishunt * Rshunt
;				=   20 * 3000 / 25000 * Ishunt * 0,1
;				=   20 * 0,12 * Ishunt * 0,1
;				=   0,24 * Ishunt
;
;	
;	Steps		=   3660 / 1024 = 3,57 Steps/mV
;
;			;	
;	IMax 		=   AREF / 0,24
;					3600mV / 0,24 = 15000 mA
;
;					
;	I_Charge  	=	2000 mA <=>  480 mV / 3,57 <=> 133 Steps		
;					3000 mA	<=>  720 mV / 3,57 <=> 200 Steps
;					4000 mA	<=>  960 mV / 3,57 <=> 269 Steps
;
;
;                   Ladeschluspannung * R7_10 * AD_resolution
;   V_Charge_12h  = __________________________________________
;                   (R8_11 + R7_10) * V_ref_voltage
;
;		    	  =	1,48V * 3000 * 1024 / (22000+3000) * 3,66V
;		    	  
;				  = 495
;
;
;	V_Charge_12l  =	1,38V * 3000 * 1023 / 25000 * 3,66V
;				  
;				  = 463
;				
;								
;
;	Fast Charge Voltage Limit
	.equ    V_Charge_fast    =  495     ; Siehe obige Formel

;	Trickle Charge Voltage Limit
	.equ    V_Charge_trickle =  460   


;	Max Charge Current
	.equ	I_Charge	= 100		; bei 12 Volt Startwert bei 2 Amp 
	.equ	I_Step		= 25		; bei 12 Volt <=> 500 mA
